## org.h2.mvstore.db
Class TransactionStore.Transaction

    java.lang.Object
      org.h2.mvstore.db.TransactionStore.Transaction

Enclosing class:
  TransactionStore

    public static class TransactionStore.Transaction

extends java.lang.Object

A transaction.

Field Summary
`static int` `STATUS_CLOSED` The status of a closed transaction (committed or rolled back).
`static int` `STATUS_OPEN` The status of an open transaction.
`static int` `STATUS_PREPARED` The status of a prepared transaction.

Method Summary
`void` `commit()` Commit the transaction.
`java.util.Set<java.lang.String>` `getChangedMaps(long savepointId)` Get the set of changed maps starting at the given savepoint up to now.
`long` `getId()`
`java.lang.String` `getName()`
`int` `getStatus()`

`

`<K,V> TransactionStore.TransactionMap<K,V>`

`

`openMap(java.lang.String name)`
Open a data map.

`

`<K,V> TransactionStore.TransactionMap<K,V>`

`

`openMap(java.lang.String name, MVMap.Builder<K,V> builder)`
Open the map to store the data.

`void` `prepare()` Prepare the transaction.
`void` `rollback()` Roll the transaction back.
`void` `rollbackToSavepoint(long savepointId)` Roll back to the given savepoint.
`void` `setName(java.lang.String name)`
`long` `setSavepoint()` Create a new savepoint.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATUS_OPEN

    public static final int STATUS_OPEN

  The status of an open transaction.

  See Also:
    Constant Field Values

### STATUS_PREPARED

    public static final int STATUS_PREPARED

  The status of a prepared transaction.

  See Also:
    Constant Field Values

### STATUS_CLOSED

    public static final int STATUS_CLOSED

  The status of a closed transaction (committed or rolled back).

  See Also:
    Constant Field Values

Method Detail

### getId

    public long getId()

### getStatus

    public int getStatus()

### setName

    public void setName(java.lang.String name)

### getName

    public java.lang.String getName()

### setSavepoint

    public long setSavepoint()

  Create a new savepoint.

  Returns:
    the savepoint id

### openMap

    public <K,V> TransactionStore.TransactionMap<K,V> openMap(java.lang.String name)

  Open a data map.

  Type Parameters:
    `K` - the key type
    `V` - the value type
  Parameters:
    `name` - the name of the map
  Returns:
    the transaction map

### openMap

    public <K,V> TransactionStore.TransactionMap<K,V> openMap(java.lang.String name,
                                                              MVMap.Builder<K,V> builder)

  Open the map to store the data.

  Type Parameters:
    `K` - the key type
    `V` - the value type
  Parameters:
    `name` - the name of the map
    `builder` - the builder
  Returns:
    the transaction map

### prepare

    public void prepare()

  Prepare the transaction. Afterwards, the transaction can only be committed or rolled back.

### commit

    public void commit()

  Commit the transaction. Afterwards, this transaction is closed.

### rollbackToSavepoint

    public void rollbackToSavepoint(long savepointId)

  Roll back to the given savepoint. This is only allowed if the transaction is open.

  Parameters:
    `savepointId` - the savepoint id

### rollback

    public void rollback()

  Roll the transaction back. Afterwards, this transaction is closed.

### getChangedMaps

    public java.util.Set<java.lang.String> getChangedMaps(long savepointId)

  Get the set of changed maps starting at the given savepoint up to now.

  Parameters:
    `savepointId` - the savepoint id, 0 meaning the beginning of the transaction
  Returns:
    the set of changed maps